import{s as dt,n as mt,o as ut}from"../chunks/scheduler.7bc62968.js";import{S as ht,i as vt,g as n,s as i,r as y,A as ct,h as o,f as a,c as l,j as pt,u as M,x as r,k as ft,y as wt,a as s,v as H,d as j,t as z,w as D}from"../chunks/index.66556066.js";import{C as $t}from"../chunks/CodeBlock.a759539a.js";import{H as Q}from"../chunks/Heading.3f0870db.js";function gt(W){let p,S,L,k,f,E,d,X=`The Dataset Viewer supports many data files formats, from text to tabular and from image to audio formats.
It also separates the train/validation/test splits based on file and folder names.`,I,m,tt="To configure the Dataset Viewer for your dataset, make sure your dataset is in a supported data format and structured the right way.",A,u,V,h,et="The dataset viewer supports multiple file formats:",Z,v,at="<li>CSV (.csv, .tsv)</li> <li>JSON Lines, JSON (.jsonl, .json)</li> <li>Parquet (.parquet)</li> <li>Text (.txt)</li> <li>Images (.png, .jpg, etc.)</li> <li>Audio (.wav, .mp3, etc.)</li>",B,c,st=`The dataset viewer also supports files compressed using ZIP (.zip), GZIP (.gz), ZSTD (.zst), BZ2 (.bz2), LZ4 (.lz4) and LZMA (.xz).
Image and audio resources can also have additional metadata files, see the <a href="./datasets-data-files-configuration">Data files Configuration</a> on image and audio datasets.`,J,w,q,$,it='In the Dataset Viewer you can view the <a href="https://en.wikipedia.org/wiki/Training,_validation,_and_test_data_sets" rel="nofollow">train/validation/test</a> splits of datasets, and sometimes additionally choose between multiple subsets (e.g. one per language).',N,g,lt=`To define those dropdowns, you can name the data files or their folder after their split names (train/validation/test).
It is also possible to customize your splits manually using YAML.`,U,x,nt='For more information, feel free to check out the documentation on <a href="./datasets-data-files-configuration">Data files Configuration</a>.',F,_,O,C,ot="The dataset viewer can be disabled. To do this, add a YAML section to the dataset’s <code>README.md</code> file (create one if it does not already exist) and add a <code>viewer</code> property with the value <code>false</code>.",R,T,Y,b,rt="Note that the viewer is always disabled on the private datasets.",G,P,K;return f=new Q({props:{title:"Configure the Dataset Viewer",local:"configure-the-dataset-viewer",headingTag:"h1"}}),u=new Q({props:{title:"Supported data formats",local:"supported-data-formats",headingTag:"h2"}}),w=new Q({props:{title:"Configure dropdowns for splits or subsets",local:"configure-dropdowns-for-splits-or-subsets",headingTag:"h2"}}),_=new Q({props:{title:"Disable the viewer",local:"disable-the-viewer",headingTag:"h2"}}),T=new $t({props:{code:"LS0tJTBBdmlld2VyJTNBJTIwZmFsc2UlMEEtLS0=",highlighted:`<span class="hljs-meta">---</span>
<span class="hljs-attr">viewer:</span> <span class="hljs-literal">false</span>
<span class="hljs-meta">---</span>`,wrap:!1}}),{c(){p=n("meta"),S=i(),L=n("p"),k=i(),y(f.$$.fragment),E=i(),d=n("p"),d.textContent=X,I=i(),m=n("p"),m.textContent=tt,A=i(),y(u.$$.fragment),V=i(),h=n("p"),h.textContent=et,Z=i(),v=n("ul"),v.innerHTML=at,B=i(),c=n("p"),c.innerHTML=st,J=i(),y(w.$$.fragment),q=i(),$=n("p"),$.innerHTML=it,N=i(),g=n("p"),g.textContent=lt,U=i(),x=n("p"),x.innerHTML=nt,F=i(),y(_.$$.fragment),O=i(),C=n("p"),C.innerHTML=ot,R=i(),y(T.$$.fragment),Y=i(),b=n("p"),b.textContent=rt,G=i(),P=n("p"),this.h()},l(t){const e=ct("svelte-u9bgzb",document.head);p=o(e,"META",{name:!0,content:!0}),e.forEach(a),S=l(t),L=o(t,"P",{}),pt(L).forEach(a),k=l(t),M(f.$$.fragment,t),E=l(t),d=o(t,"P",{"data-svelte-h":!0}),r(d)!=="svelte-aj8p3z"&&(d.textContent=X),I=l(t),m=o(t,"P",{"data-svelte-h":!0}),r(m)!=="svelte-zue8rr"&&(m.textContent=tt),A=l(t),M(u.$$.fragment,t),V=l(t),h=o(t,"P",{"data-svelte-h":!0}),r(h)!=="svelte-acethx"&&(h.textContent=et),Z=l(t),v=o(t,"UL",{"data-svelte-h":!0}),r(v)!=="svelte-1htb5f5"&&(v.innerHTML=at),B=l(t),c=o(t,"P",{"data-svelte-h":!0}),r(c)!=="svelte-1lz9xlp"&&(c.innerHTML=st),J=l(t),M(w.$$.fragment,t),q=l(t),$=o(t,"P",{"data-svelte-h":!0}),r($)!=="svelte-1bgfkre"&&($.innerHTML=it),N=l(t),g=o(t,"P",{"data-svelte-h":!0}),r(g)!=="svelte-j8m9b3"&&(g.textContent=lt),U=l(t),x=o(t,"P",{"data-svelte-h":!0}),r(x)!=="svelte-1blkqn3"&&(x.innerHTML=nt),F=l(t),M(_.$$.fragment,t),O=l(t),C=o(t,"P",{"data-svelte-h":!0}),r(C)!=="svelte-17ntj7v"&&(C.innerHTML=ot),R=l(t),M(T.$$.fragment,t),Y=l(t),b=o(t,"P",{"data-svelte-h":!0}),r(b)!=="svelte-1lm1t0f"&&(b.textContent=rt),G=l(t),P=o(t,"P",{}),pt(P).forEach(a),this.h()},h(){ft(p,"name","hf:doc:metadata"),ft(p,"content",xt)},m(t,e){wt(document.head,p),s(t,S,e),s(t,L,e),s(t,k,e),H(f,t,e),s(t,E,e),s(t,d,e),s(t,I,e),s(t,m,e),s(t,A,e),H(u,t,e),s(t,V,e),s(t,h,e),s(t,Z,e),s(t,v,e),s(t,B,e),s(t,c,e),s(t,J,e),H(w,t,e),s(t,q,e),s(t,$,e),s(t,N,e),s(t,g,e),s(t,U,e),s(t,x,e),s(t,F,e),H(_,t,e),s(t,O,e),s(t,C,e),s(t,R,e),H(T,t,e),s(t,Y,e),s(t,b,e),s(t,G,e),s(t,P,e),K=!0},p:mt,i(t){K||(j(f.$$.fragment,t),j(u.$$.fragment,t),j(w.$$.fragment,t),j(_.$$.fragment,t),j(T.$$.fragment,t),K=!0)},o(t){z(f.$$.fragment,t),z(u.$$.fragment,t),z(w.$$.fragment,t),z(_.$$.fragment,t),z(T.$$.fragment,t),K=!1},d(t){t&&(a(S),a(L),a(k),a(E),a(d),a(I),a(m),a(A),a(V),a(h),a(Z),a(v),a(B),a(c),a(J),a(q),a($),a(N),a(g),a(U),a(x),a(F),a(O),a(C),a(R),a(Y),a(b),a(G),a(P)),a(p),D(f,t),D(u,t),D(w,t),D(_,t),D(T,t)}}}const xt='{"title":"Configure the Dataset Viewer","local":"configure-the-dataset-viewer","sections":[{"title":"Supported data formats","local":"supported-data-formats","sections":[],"depth":2},{"title":"Configure dropdowns for splits or subsets","local":"configure-dropdowns-for-splits-or-subsets","sections":[],"depth":2},{"title":"Disable the viewer","local":"disable-the-viewer","sections":[],"depth":2}],"depth":1}';function _t(W){return ut(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Pt extends ht{constructor(p){super(),vt(this,p,_t,gt,dt,{})}}export{Pt as component};
