import{s as st,n as lt,o as nt}from"../chunks/scheduler.7bc62968.js";import{S as ot,i as rt,g as n,s,r as f,A as ut,h as o,f as a,c as l,j as it,u as p,x as r,k as u,y as dt,a as i,v as g,d as c,t as h,w as m}from"../chunks/index.66556066.js";import{H as v}from"../chunks/Heading.3f0870db.js";function ft(Ue){let d,X,K,Z,C,ee,D,Ae='The <a href="https://huggingface.co/datasets" rel="nofollow">Hub</a> is home to an extensive collection of community-curated and popular research datasets. We encourage you to share your dataset to the Hub to help grow the ML community and accelerate progress for everyone. All contributions are welcome; adding a dataset is just a drag and drop away!',te,k,Ie='Start by <a href="https://huggingface.co/join" rel="nofollow">creating a Hugging Face Hub account</a> if you don’t have one yet.',ae,P,ie,j,Ve="The Hub’s web-based interface allows users without any developer experience to upload a dataset.",se,U,le,A,Se="A repository hosts all your dataset files, including the revision history, making storing more than one dataset version possible.",ne,I,Oe='<li>Click on your profile and select <strong>New Dataset</strong> to create a <a href="https://huggingface.co/new-dataset" rel="nofollow">new dataset repository</a>.</li> <li>Pick a name for your dataset, and choose whether it is a public or private dataset. A public dataset is visible to anyone, whereas a private dataset can only be viewed by you or members of your organization.</li>',oe,y,qe='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/create_repo.png"/>',re,V,ue,S,Ee="<li>Once you’ve created a repository, navigate to the <strong>Files and versions</strong> tab to add a file. Select <strong>Add file</strong> to upload your dataset files. We support many text, audio, and image data extensions such as <code>.csv</code>, <code>.mp3</code>, and <code>.jpg</code> among many others.</li>",de,w,Ge='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/upload_files.png"/>',fe,$,ze="<li>Drag and drop your dataset files.</li>",pe,b,Fe='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/commit_files.png"/>',ge,T,We="<li>After uploading your dataset files, they are stored in your dataset repository.</li>",ce,H,Ne='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/files_stored.png"/>',he,O,me,q,Re="Adding a Dataset card is super valuable for helping users find your dataset and understand how to use it responsibly.",ve,E,Ye='<li>Click on <strong>Create Dataset Card</strong> to create a <a href="./datasets-cards">Dataset card</a>. This button creates a <code>README.md</code> file in your repository.</li>',ye,L,Be='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/dataset_card.png"/>',we,_,Je='<li><p>At the top, you’ll see the <strong>Metadata UI</strong> with several fields to select from such as license, language, and task categories. These are the most important tags for helping users discover your dataset on the Hub (when applicable). When you select an option for a field, it will be automatically added to the top of the dataset card.</p> <p>You can also look at the <a href="https://github.com/huggingface/hub-docs/blob/main/datasetcard.md?plain=1" rel="nofollow">Dataset Card specifications</a>, which has a complete set of (but not required) tag options like <code>annotations_creators</code>, to help you choose the appropriate tags.</p></li>',$e,x,Ke='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/datasets/metadata_ui.png"/>',be,M,Qe='<li><p>Write your dataset documentation in the Dataset Card to introduce your dataset to the community and help users understand how to use it.</p> <p>You can click on the <strong>Import dataset card template</strong> link at the top of the editor to automatically create a dataset card template. For a detailed example of what a good Dataset card should look like, take a look at the <a href="https://huggingface.co/datasets/cnn_dailymail" rel="nofollow">CNN DailyMail Dataset card</a>.</p></li>',Te,G,He,z,Xe=`The <a href="./datasets-viewer">Dataset Viewer</a> is crucial to know what the data actually look like.
It is generally enabled by default for any dataset, depending on the dataset structure.`,Le,F,Ze='Make sure the Dataset Viewer correctly shows your data, or <a href="./datasets-viewer-configure">Configure the Dataset Viewer</a>.',_e,W,xe,N,et='The rich features set in the <code>huggingface_hub</code> library allows you to manage repositories, including creating repos and uploading datasets to the Model Hub. Visit <a href="https://huggingface.co/docs/huggingface_hub/index" rel="nofollow">the client library’s documentation</a> to learn more.',Me,R,Ce,Y,tt=`Some libraries like <a href="https://huggingface.co/docs/datasets/index" rel="nofollow">🤗 Datasets</a>, <a href="https://pandas.pydata.org/" rel="nofollow">Pandas</a>, <a href="https://www.dask.org/" rel="nofollow">Dask</a> or <a href="https://duckdb.org/" rel="nofollow">DuckDB</a> can upload files to the Hub.
See the list of <a href="./datasets-libraries">Libraries supported by the Datasets Hub</a> for more information.`,De,B,ke,J,at='Since dataset repos are just Git repositories, you can use Git to push your data files to the Hub. Follow the guide on <a href="repositories-getting-started">Getting Started with Repositories</a> to learn about using the <code>git</code> CLI to commit and push your datasets.',Pe,Q,je;return C=new v({props:{title:"Adding a new dataset",local:"adding-a-new-dataset",headingTag:"h1"}}),P=new v({props:{title:"Upload with the Hub UI",local:"upload-with-the-hub-ui",headingTag:"h2"}}),U=new v({props:{title:"Create a repository",local:"create-a-repository",headingTag:"h3"}}),V=new v({props:{title:"Upload dataset",local:"upload-dataset",headingTag:"h3"}}),O=new v({props:{title:"Create a Dataset card",local:"create-a-dataset-card",headingTag:"h3"}}),G=new v({props:{title:"Dataset Viewer",local:"dataset-viewer",headingTag:"h3"}}),W=new v({props:{title:"Using the huggingface_hub client library",local:"using-the-huggingfacehub-client-library",headingTag:"h2"}}),R=new v({props:{title:"Using other libraries",local:"using-other-libraries",headingTag:"h2"}}),B=new v({props:{title:"Using Git",local:"using-git",headingTag:"h2"}}),{c(){d=n("meta"),X=s(),K=n("p"),Z=s(),f(C.$$.fragment),ee=s(),D=n("p"),D.innerHTML=Ae,te=s(),k=n("p"),k.innerHTML=Ie,ae=s(),f(P.$$.fragment),ie=s(),j=n("p"),j.textContent=Ve,se=s(),f(U.$$.fragment),le=s(),A=n("p"),A.textContent=Se,ne=s(),I=n("ol"),I.innerHTML=Oe,oe=s(),y=n("div"),y.innerHTML=qe,re=s(),f(V.$$.fragment),ue=s(),S=n("ol"),S.innerHTML=Ee,de=s(),w=n("div"),w.innerHTML=Ge,fe=s(),$=n("ol"),$.innerHTML=ze,pe=s(),b=n("div"),b.innerHTML=Fe,ge=s(),T=n("ol"),T.innerHTML=We,ce=s(),H=n("div"),H.innerHTML=Ne,he=s(),f(O.$$.fragment),me=s(),q=n("p"),q.textContent=Re,ve=s(),E=n("ol"),E.innerHTML=Ye,ye=s(),L=n("div"),L.innerHTML=Be,we=s(),_=n("ol"),_.innerHTML=Je,$e=s(),x=n("div"),x.innerHTML=Ke,be=s(),M=n("ol"),M.innerHTML=Qe,Te=s(),f(G.$$.fragment),He=s(),z=n("p"),z.innerHTML=Xe,Le=s(),F=n("p"),F.innerHTML=Ze,_e=s(),f(W.$$.fragment),xe=s(),N=n("p"),N.innerHTML=et,Me=s(),f(R.$$.fragment),Ce=s(),Y=n("p"),Y.innerHTML=tt,De=s(),f(B.$$.fragment),ke=s(),J=n("p"),J.innerHTML=at,Pe=s(),Q=n("p"),this.h()},l(e){const t=ut("svelte-u9bgzb",document.head);d=o(t,"META",{name:!0,content:!0}),t.forEach(a),X=l(e),K=o(e,"P",{}),it(K).forEach(a),Z=l(e),p(C.$$.fragment,e),ee=l(e),D=o(e,"P",{"data-svelte-h":!0}),r(D)!=="svelte-osw7f9"&&(D.innerHTML=Ae),te=l(e),k=o(e,"P",{"data-svelte-h":!0}),r(k)!=="svelte-1fojn2"&&(k.innerHTML=Ie),ae=l(e),p(P.$$.fragment,e),ie=l(e),j=o(e,"P",{"data-svelte-h":!0}),r(j)!=="svelte-wcztra"&&(j.textContent=Ve),se=l(e),p(U.$$.fragment,e),le=l(e),A=o(e,"P",{"data-svelte-h":!0}),r(A)!=="svelte-193c6le"&&(A.textContent=Se),ne=l(e),I=o(e,"OL",{"data-svelte-h":!0}),r(I)!=="svelte-1uqcinm"&&(I.innerHTML=Oe),oe=l(e),y=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(y)!=="svelte-ggmafm"&&(y.innerHTML=qe),re=l(e),p(V.$$.fragment,e),ue=l(e),S=o(e,"OL",{"data-svelte-h":!0}),r(S)!=="svelte-dxn0v0"&&(S.innerHTML=Ee),de=l(e),w=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(w)!=="svelte-ejbx7w"&&(w.innerHTML=Ge),fe=l(e),$=o(e,"OL",{start:!0,"data-svelte-h":!0}),r($)!=="svelte-1q9alp6"&&($.innerHTML=ze),pe=l(e),b=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(b)!=="svelte-14wj5uc"&&(b.innerHTML=Fe),ge=l(e),T=o(e,"OL",{start:!0,"data-svelte-h":!0}),r(T)!=="svelte-9bhhwd"&&(T.innerHTML=We),ce=l(e),H=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(H)!=="svelte-15ihy8q"&&(H.innerHTML=Ne),he=l(e),p(O.$$.fragment,e),me=l(e),q=o(e,"P",{"data-svelte-h":!0}),r(q)!=="svelte-5ezmk1"&&(q.textContent=Re),ve=l(e),E=o(e,"OL",{"data-svelte-h":!0}),r(E)!=="svelte-vc122w"&&(E.innerHTML=Ye),ye=l(e),L=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(L)!=="svelte-1o3g2qu"&&(L.innerHTML=Be),we=l(e),_=o(e,"OL",{start:!0,"data-svelte-h":!0}),r(_)!=="svelte-1on54s5"&&(_.innerHTML=Je),$e=l(e),x=o(e,"DIV",{class:!0,"data-svelte-h":!0}),r(x)!=="svelte-stlsmn"&&(x.innerHTML=Ke),be=l(e),M=o(e,"OL",{start:!0,"data-svelte-h":!0}),r(M)!=="svelte-fvdi3l"&&(M.innerHTML=Qe),Te=l(e),p(G.$$.fragment,e),He=l(e),z=o(e,"P",{"data-svelte-h":!0}),r(z)!=="svelte-fvdbol"&&(z.innerHTML=Xe),Le=l(e),F=o(e,"P",{"data-svelte-h":!0}),r(F)!=="svelte-ecn4g1"&&(F.innerHTML=Ze),_e=l(e),p(W.$$.fragment,e),xe=l(e),N=o(e,"P",{"data-svelte-h":!0}),r(N)!=="svelte-x82t8h"&&(N.innerHTML=et),Me=l(e),p(R.$$.fragment,e),Ce=l(e),Y=o(e,"P",{"data-svelte-h":!0}),r(Y)!=="svelte-sxrirv"&&(Y.innerHTML=tt),De=l(e),p(B.$$.fragment,e),ke=l(e),J=o(e,"P",{"data-svelte-h":!0}),r(J)!=="svelte-48q4lm"&&(J.innerHTML=at),Pe=l(e),Q=o(e,"P",{}),it(Q).forEach(a),this.h()},h(){u(d,"name","hf:doc:metadata"),u(d,"content",pt),u(y,"class","flex justify-center"),u(w,"class","flex justify-center"),u($,"start","2"),u(b,"class","flex justify-center"),u(T,"start","3"),u(H,"class","flex justify-center"),u(L,"class","flex justify-center"),u(_,"start","2"),u(x,"class","flex justify-center"),u(M,"start","3")},m(e,t){dt(document.head,d),i(e,X,t),i(e,K,t),i(e,Z,t),g(C,e,t),i(e,ee,t),i(e,D,t),i(e,te,t),i(e,k,t),i(e,ae,t),g(P,e,t),i(e,ie,t),i(e,j,t),i(e,se,t),g(U,e,t),i(e,le,t),i(e,A,t),i(e,ne,t),i(e,I,t),i(e,oe,t),i(e,y,t),i(e,re,t),g(V,e,t),i(e,ue,t),i(e,S,t),i(e,de,t),i(e,w,t),i(e,fe,t),i(e,$,t),i(e,pe,t),i(e,b,t),i(e,ge,t),i(e,T,t),i(e,ce,t),i(e,H,t),i(e,he,t),g(O,e,t),i(e,me,t),i(e,q,t),i(e,ve,t),i(e,E,t),i(e,ye,t),i(e,L,t),i(e,we,t),i(e,_,t),i(e,$e,t),i(e,x,t),i(e,be,t),i(e,M,t),i(e,Te,t),g(G,e,t),i(e,He,t),i(e,z,t),i(e,Le,t),i(e,F,t),i(e,_e,t),g(W,e,t),i(e,xe,t),i(e,N,t),i(e,Me,t),g(R,e,t),i(e,Ce,t),i(e,Y,t),i(e,De,t),g(B,e,t),i(e,ke,t),i(e,J,t),i(e,Pe,t),i(e,Q,t),je=!0},p:lt,i(e){je||(c(C.$$.fragment,e),c(P.$$.fragment,e),c(U.$$.fragment,e),c(V.$$.fragment,e),c(O.$$.fragment,e),c(G.$$.fragment,e),c(W.$$.fragment,e),c(R.$$.fragment,e),c(B.$$.fragment,e),je=!0)},o(e){h(C.$$.fragment,e),h(P.$$.fragment,e),h(U.$$.fragment,e),h(V.$$.fragment,e),h(O.$$.fragment,e),h(G.$$.fragment,e),h(W.$$.fragment,e),h(R.$$.fragment,e),h(B.$$.fragment,e),je=!1},d(e){e&&(a(X),a(K),a(Z),a(ee),a(D),a(te),a(k),a(ae),a(ie),a(j),a(se),a(le),a(A),a(ne),a(I),a(oe),a(y),a(re),a(ue),a(S),a(de),a(w),a(fe),a($),a(pe),a(b),a(ge),a(T),a(ce),a(H),a(he),a(me),a(q),a(ve),a(E),a(ye),a(L),a(we),a(_),a($e),a(x),a(be),a(M),a(Te),a(He),a(z),a(Le),a(F),a(_e),a(xe),a(N),a(Me),a(Ce),a(Y),a(De),a(ke),a(J),a(Pe),a(Q)),a(d),m(C,e),m(P,e),m(U,e),m(V,e),m(O,e),m(G,e),m(W,e),m(R,e),m(B,e)}}}const pt='{"title":"Adding a new dataset","local":"adding-a-new-dataset","sections":[{"title":"Upload with the Hub UI","local":"upload-with-the-hub-ui","sections":[{"title":"Create a repository","local":"create-a-repository","sections":[],"depth":3},{"title":"Upload dataset","local":"upload-dataset","sections":[],"depth":3},{"title":"Create a Dataset card","local":"create-a-dataset-card","sections":[],"depth":3},{"title":"Dataset Viewer","local":"dataset-viewer","sections":[],"depth":3}],"depth":2},{"title":"Using the huggingface_hub client library","local":"using-the-huggingfacehub-client-library","sections":[],"depth":2},{"title":"Using other libraries","local":"using-other-libraries","sections":[],"depth":2},{"title":"Using Git","local":"using-git","sections":[],"depth":2}],"depth":1}';function gt(Ue){return nt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class vt extends ot{constructor(d){super(),rt(this,d,gt,ft,st,{})}}export{vt as component};
